### Virtual Method

# Clutter Focus set_current_actor

#### Declaration [src]

    gboolean
    set_current_actor (
      ClutterFocus* focus,
      ClutterActor* actor,
      ClutterInputDevice* source_device,
      uint32_t time_ms
    )

#### Description

No description available.

#### Parameters

`actor`

  Type: `ClutterActor`

  No description available.

  The data is owned by the caller of the method.

`source_device`

  Type: `ClutterInputDevice`

  No description available.

  The data is owned by the caller of the method.

`time_ms`

  Type: `uint32_t`

  No description available.

#### Return value

Type: `gboolean`

No description available.